### Function

# FwupdPlugin DeviceLockerFunc

#### Declaration

    gboolean
    (* FuDeviceLockerFunc) (
      FuDevice* device,
      GError** error
    )

#### Description [src]

Callback to use when opening and closing using `fu_device_locker_new_full()`.

#### Parameters

`device` | `FuDevice`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.